$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'simplecov'
SimpleCov.start
require 'smtpcom_api'
require 'rspec'
require 'rspec/mocks'
require 'vcr'

require 'shared'

VCR.configure do |c|
  c.cassette_library_dir     = 'spec/fixtures/vcr_cassettes'
  c.hook_into                :faraday
  c.default_cassette_options = { :record => :new_episodes }
end

RSpec.configure do |c|
 c.extend VCR::RSpec::Macros
end


API_KEY  = '373da51f9faa9bcac214cebe2a3b460c3697825d'
API_HOST = 'http://rest.smtp.com' 